function love.load()
  love.window.setTitle("Among Drip")
  love.graphics.setDefaultFilter("nearest","nearest")
  width,height = love.graphics.getWidth(),love.graphics.getHeight()
  
  drip = love.audio.newSource("Assets/drip.mp3","stream")
  crewmates = love.graphics.newImage("Assets/Sprites/crewmates.png")
  highlight1 = love.graphics.newImage("Assets/Sprites/highlight1.png")
  highlight2 = love.graphics.newImage("Assets/Sprites/highlight2.png")
  highlight3 = love.graphics.newImage("Assets/Sprites/highlight3.png")
  box1 = love.graphics.newImage("Assets/Sprites/box1.png")
  box2 = love.graphics.newImage("Assets/Sprites/box2.png")
  box3 = love.graphics.newImage("Assets/Sprites/box3.png")
  fail = love.graphics.newImage("Assets/Sprites/fail.png")
  yay = love.graphics.newImage("Assets/Sprites/yay.png")
  bg = crewmates
  value = love.math.random(1,3)
  didWin = false
  drip:setLooping(true)
  drip:setVolume(0.25)
  drip:play()
  
  squares = {}
  newSquare(81,374,84,118,box1,highlight1,-50,150,1)
  newSquare(231,154,239,348,box2,highlight2,150,100,2)
  newSquare(486,342,108,156,box3,highlight3,250,150,3)
  
  cheat = {"s","u","s"}
  cheatKey = 1
  
  require("Assets.Scripts.quit")
  require("Assets.Scripts.keys")
  require("Assets.Scripts.update")
  require("Assets.Scripts.draw")
end

function newSquare(x,y,w,h,i,i2,ox,oy,v)
  local square = {
    x = x,
    y = y,
    w = w,
    h = h,
    image = i,
    bg = i2,
    draw = false,
    ox = ox,
    oy = oy,
    value = v,
  }
  
  squares[#squares+1] = square
end